<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		juan.agudelo
@modified 		pedro.garcia  para recibir parámetros: managed bean y atributo de 
                la oferta a usar, y bandera para mostrar combo de tipo de oferta
@modified		christian.rodriguez nuevas versiones desde el 2012
@version 		2.0
@description	Registrar ofertas inmobiliarias CU-SA-AC-077
                encabezado
@cu 			CU-AV-O-01
@param 			ofertaInmobiliariaParam: 	oferta inmobiliaria a usar 

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" width="100%" columns="8"
             cellspacing="7">

    <h:outputLabel value="Código de la oferta: "
                   styleClass="outputLabelStyle"
                   rendered="#{not empty ofertaInmobiliariaParam.codigoOferta}" />
    <h:outputText styleClass="outputTextStyle"
                  value="#{ofertaInmobiliariaParam.codigoOferta}"
                  rendered="#{not empty ofertaInmobiliariaParam.codigoOferta}" />

    <h:outputLabel value="Fecha ingreso de la oferta: "
                   styleClass="outputLabelStyle" />
    <h:outputText id="fechaIngresoOf"
                  value="#{ofertaInmobiliariaParam.fechaIngresoOferta}"
                  styleClass="outputTextStyle">
        <f:convertDateTime pattern="#{general.formatoFecha}" timeZone="GMT-5" />
    </h:outputText>

    <h:outputLabel value="Tipo de oferta: " styleClass="outputLabelStyle" />
    <h:selectOneMenu required="true" id="to" label="Tipo de oferta: "
                     value="#{ofertaInmobiliariaParam.tipoOferta}"
                     rendered="#{empty ofertaInmobiliariaParam.codigoOferta}">
        <f:selectItem itemLabel="Seleccionar..." />
        <f:selectItems value="#{general.ofertaTipoOfertaV}" />
        <p:ajax
            update=":registroOfertaInmobiliariaFormId:msgInfoFisicaOferta, 
            :registroOfertaInmobiliariaFormId"
            listener="#{registroOfertaInmob.cambioTipoOferta}"
            onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
    </h:selectOneMenu>
    <h:outputText value="#{ofertaInmobiliariaParam.tipoOferta}"
                  styleClass="outputTextStyle"
                  rendered="#{not empty ofertaInmobiliariaParam.codigoOferta}" />

    <h:outputLabel value="Responsable de la información: "
                   styleClass="outputLabelStyle" />
    <h:outputText value="#{ofertaInmobiliariaParam.responsableInformacion}"
                  styleClass="outputTextStyle" />

</h:panelGrid>
